<?php
/*
 * 付费阅读异步回调
 */
require_once '../../../../../config.inc.php';
require_once '../xunhu/Xunhu.php';

date_default_timezone_set('Asia/Shanghai');

$db = Typecho_Db::get();
$options = Typecho_Widget::widget('Widget_Options');
$option=$options->plugin('XunhuPay');

$config=[
    'app_id'=>$option->xunhu_wxpay_appid,
    'app_secret'=>$option->xunhu_wxpay_appsecret,
    'api_url'=>'https://api.xunhupay.com/payment',
];
$data=(array)json_decode(file_get_contents('php://input'));

if($data['status']=='complete'){
	//支付成功
	$updateItem = $db->update('table.xunhu_fees')->rows(array('feestatus'=>1))->where('feeid=?',$data["out_trade_no"]);
	$updateItemRows= $db->query($updateItem);
	file_put_contents(__dir__.'/log.txt','111'."\r\n",FILE_APPEND);
	$queryItem= $db->select()->from('table.xunhu_fees')->where('feeid = ?', $data["out_trade_no"]);
	$rowItem = $db->fetchRow($queryItem);
	if($rowItem['feestatus']==1){
	    $queryContents= $db->select()->from('table.contents')->where('cid = ?', $rowItem['feecid']);
	    $rowContents = $db->fetchRow($queryContents);
	    $queryUser= $db->select()->from('table.users')->where('uid = ?', $rowContents['authorId']);
	    $rowUser = $db->fetchRow($queryUser);
	    $updateUser = $db->update('table.users')->rows(array('xunhu_money'=>$rowUser['xunhu_money']+$rowItem['feeprice']))->where('uid=?',$rowContents['authorId']);
	    $updateUserRows= $db->query($updateUser);
	}
}
print 'success';
exit;
?>